LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 08-06-2004, 12:31 PM   #1
turtle1980
LQ Newbie
 
Registered: Aug 2004
Posts: 10

Rep: Reputation: 0
GAIM: compiling gtk 2.4.0 error


hello....again

this initially started when i tried installing gaim (source)

downloaded the tar...when configuring...had to also download and configure pkg-config, glib, xft, freefont, atk and pango..

everything is great up til configuring gtk 2.4.0
i get the error message :

checking Pango flags... -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/X11R6/include -Wl,--export-dynamic -L/usr/local/lib -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
configure: error:
*** Can't link to Pango. Pango is required to build

help please
 
Old 08-08-2004, 12:36 PM   #2
jcspray
Member
 
Registered: Mar 2004
Location: York, UK
Distribution: Ubuntu
Posts: 132

Rep: Reputation: 15
What pango packages have you installed?

What does "ls /usr/local/lib/*pango*" say? What does "ls /usr/local/include/pango-1.0" say?
 
Old 08-08-2004, 02:03 PM   #3
Komakino
Senior Member
 
Registered: Feb 2004
Location: Somerset, England
Distribution: Slackware 10.2, Slackware 10.0, Ubuntu 9.10
Posts: 1,938

Rep: Reputation: 54
I have to say that when I installed GTK2.4 I couldn't get it to work unless I installled all the libs in /usr/lib instead of /usr/local/lib
 
Old 08-08-2004, 02:15 PM   #4
sibtay
Member
 
Registered: Aug 2004
Location: U.S
Distribution: Ubuntu
Posts: 145

Rep: Reputation: 15
There are a number of possibilities due to which this error has occured

If you ve installed pango, then this means that the configure script cant find its path. You just need to set up the appropiate environment variables

You can give different paths to ./configure script at run time

type ./configure --help and you 'll get a list of influential enviromental variables.

Define the include path and the library path to that of pango and see whether it works or not
 
Old 08-08-2004, 05:19 PM   #5
turtle1980
LQ Newbie
 
Registered: Aug 2004
Posts: 10

Original Poster
Rep: Reputation: 0
thanks to all
i actually put that project on hold...i actually got past that error...by installing everything in /usr/lib and using enviroment variables..however...atk is also a dependency...so i tried installing that...and it pretty much breaks halfway into it..i get a recursion error 1...and...for some reason after installing pango...mozilla, firefox and thunderbird stopped working...when i ran the program in a terminal...i got a segmntation fault error...

anyone know what the reason could be?
 
Old 08-11-2004, 09:15 AM   #6
turtle1980
LQ Newbie
 
Registered: Aug 2004
Posts: 10

Original Poster
Rep: Reputation: 0
ok now it's getting better...i reinstalled and tried again:


so the on thing that's stopping me from compiling ogle and gaim...is that GTK+ is not installed :

i finally got all the dependencies for GTk+ installed...
but when i try to run ./configure on GTK+

checking for freetype-config......no

then it says something about not finding freetype library

i have freetype-1.3.1 installed...but it never creates that freetype-config file
i googled this all night..and got nowhere...i saw other similar issues
but they all had the freetype-config file...so on their system when its checking for freetype-config it reports the path where freetype-config is

so...if freetype config is not part of the freetype-1.3.1 package...where can i get?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
problem compiling gaim (GTK+ 2.0 not found) JonEtc Linux - Software 3 10-15-2005 07:14 PM
gaim gtk error emailssent Linux - Software 1 09-16-2004 08:14 AM
compiling gaim/ gtk error (two versions of gtk) webazoid Linux - Software 0 07-06-2004 07:05 PM
help with error compiling gtk+-2.4.0 Metal Martian Linux - Newbie 3 05-11-2004 10:04 AM
different gaim install gtk error shanenin Linux - Software 4 10-17-2003 08:25 PM


All times are GMT -5. The time now is 10:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration